AlterLabAlterLab
PricingComparePlaygroundBlogDocsChangelog
    AlterLabAlterLab
    PricingComparePlaygroundBlogDocsChangelog
    IntroductionQuickstartInstallationYour First Request
    REST APIJob PollingAPI KeysSessions APINew
    OverviewPythonNode.js
    JavaScript RenderingOutput FormatsPDF & OCRCachingWebhooksJSON Schema FilteringWebSocket Real-TimeBring Your Own ProxyProAuthenticated ScrapingNewWeb CrawlingBatch ScrapingSchedulerChange DetectionCloud Storage ExportSpend LimitsOrganizations & TeamsAlerts & Notifications
    Structured ExtractionAIE-commerce ScrapingNews MonitoringPrice MonitoringMulti-Page CrawlingMonitoring DashboardAI Agent / MCPMCPData Pipeline to Cloud
    PricingRate LimitsError Codes
    From FirecrawlFrom ApifyFrom ScrapingBee / ScraperAPIFirecrawl v0 API ReferenceLegacy
    PlaygroundPricingStatus
    API Reference
    Auto-generated

    Schedules

    API reference for schedules endpoints.

    Auto-generated

    This page was generated from the OpenAPI spec. Runmake generate-docs to refresh after spec changes.

    POST /api/v1/schedules

    POST
    /api/v1/schedules

    Create a schedule

    Parameters

    NameTypeRequiredDescription
    namestring
    Required
    Name
    urlsstring[]
    Required
    Urls
    formatsstring[]Optionalformats
    cronstring
    Required
    Cron expression (5 fields), e.g. '0 9 * * *'
    timezonestringOptionalTimezoneDefault: UTC
    optionsobjectOptionaloptions
    webhook_urlstringOptionalwebhook_url
    session_idstringOptionalsession_id
    exportobjectOptionalExport configuration for schedule results to cloud storage.

    Request Example

    Bash
    curl -X POST https://api.alterlab.io/api/v1/schedules \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json" \
      -d '{
        "name": "example_name",
        "urls": [],
        "cron": "example_cron",
        "timezone": "example_timezone"
      }'

    Response Example

    JSON
    {
      "status": "ok"
    }

    GET /api/v1/schedules

    GET
    /api/v1/schedules

    List schedules

    Parameters

    NameTypeRequiredDescription
    limitintegerOptionallimitDefault: 20
    offsetintegerOptionaloffsetDefault: 0
    active_onlybooleanOptionalactive_onlyDefault: False

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/schedules \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "schedules": [],
      "total": 0
    }

    GET /api/v1/schedules/analytics

    GET
    /api/v1/schedules/analytics

    Get schedule analytics

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/schedules/analytics \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "active_count": 0,
      "total_count": 0,
      "total_runs_30d": 0,
      "success_rate_30d": 0,
      "total_credits_30d": 0,
      "schedules": []
    }

    GET /api/v1/schedules/{schedule_id}

    GET
    /api/v1/schedules/{schedule_id}

    Get schedule details

    Parameters

    NameTypeRequiredDescription
    schedule_idstring
    Required
    schedule_id

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/schedules/<schedule_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "id": "example",
      "name": "example",
      "urls": [],
      "formats": "example",
      "cron": "example",
      "timezone": "example"
    }

    PATCH /api/v1/schedules/{schedule_id}

    PATCH
    /api/v1/schedules/{schedule_id}

    Update a schedule

    Parameters

    NameTypeRequiredDescription
    schedule_idstring
    Required
    schedule_id
    namestringOptionalname
    urlsstring[]Optionalurls
    formatsstring[]Optionalformats
    cronstringOptionalcron
    timezonestringOptionaltimezone
    optionsobjectOptionaloptions
    webhook_urlstringOptionalwebhook_url
    session_idstringOptionalsession_id
    exportobjectOptionalExport configuration for schedule results to cloud storage.

    Request Example

    Bash
    curl -X PATCH https://api.alterlab.io/api/v1/schedules/<schedule_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "id": "example",
      "name": "example",
      "urls": [],
      "formats": "example",
      "cron": "example",
      "timezone": "example"
    }

    DELETE /api/v1/schedules/{schedule_id}

    DELETE
    /api/v1/schedules/{schedule_id}

    Delete a schedule

    Parameters

    NameTypeRequiredDescription
    schedule_idstring
    Required
    schedule_id

    Request Example

    Bash
    curl -X DELETE https://api.alterlab.io/api/v1/schedules/<schedule_id> \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "status": "ok"
    }

    POST /api/v1/schedules/{schedule_id}/pause

    POST
    /api/v1/schedules/{schedule_id}/pause

    Pause a schedule

    Parameters

    NameTypeRequiredDescription
    schedule_idstring
    Required
    schedule_id

    Request Example

    Bash
    curl -X POST https://api.alterlab.io/api/v1/schedules/<schedule_id>/pause \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "id": "example",
      "name": "example",
      "urls": [],
      "formats": "example",
      "cron": "example",
      "timezone": "example"
    }

    POST /api/v1/schedules/{schedule_id}/resume

    POST
    /api/v1/schedules/{schedule_id}/resume

    Resume a schedule

    Parameters

    NameTypeRequiredDescription
    schedule_idstring
    Required
    schedule_id

    Request Example

    Bash
    curl -X POST https://api.alterlab.io/api/v1/schedules/<schedule_id>/resume \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "id": "example",
      "name": "example",
      "urls": [],
      "formats": "example",
      "cron": "example",
      "timezone": "example"
    }

    POST /api/v1/schedules/{schedule_id}/run

    POST
    /api/v1/schedules/{schedule_id}/run

    Trigger a schedule now

    Parameters

    NameTypeRequiredDescription
    schedule_idstring
    Required
    schedule_id

    Request Example

    Bash
    curl -X POST https://api.alterlab.io/api/v1/schedules/<schedule_id>/run \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "id": "example",
      "schedule_id": "example",
      "status": "example",
      "job_ids": "example",
      "batch_id": "example",
      "urls_total": 0
    }

    GET /api/v1/schedules/{schedule_id}/runs

    GET
    /api/v1/schedules/{schedule_id}/runs

    List schedule runs

    Parameters

    NameTypeRequiredDescription
    schedule_idstring
    Required
    schedule_id
    limitintegerOptionallimitDefault: 20
    offsetintegerOptionaloffsetDefault: 0

    Request Example

    Bash
    curl -X GET https://api.alterlab.io/api/v1/schedules/<schedule_id>/runs \
      -H "X-API-Key: YOUR_API_KEY" \
      -H "Content-Type: application/json"

    Response Example

    JSON
    {
      "runs": [],
      "total": 0
    }
    Last updated: March 2026

    On this page